## glfw 2.6

=== Makefile ===
###########################################################################
# GLFW top level Makefile
# $Date: 2007/03/30 20:17:42 $
# $Revision: 1.10 $
#
# This file works as a top level makefile for all supported systems and
# compilers. It builds both the GLFW link library and the supplied example
# programs.
###########################################################################

###########################################################################
# If your make program does not set the $(MAKE) variable correctly,
# uncomment the following line and make sure that the name of the make
# tool is correct.
###########################################################################
# MAKE = make


###########################################################################
# If no system/compiler is specified, display a list of available options
###########################################################################
default:
	@echo "This is the makefile for the GLFW link library and example programs."
	@echo "Type one of the following:"
	@echo "-----------------------------------------------------------------------------"
	@echo "  $(MAKE) win32-mgw         for MinGW32 for Windows"
	@echo "  $(MAKE) cross-mgw         for MinGW32 for Windows on a Unix machine" 
	@echo "  $(MAKE) cross-mgw-install to install the GLFW library and header"
	@echo "  $(MAKE) cross-mgw-clean   fo clean the GLFW library and header"
	@echo "  $(MAKE) win32-cygwin      for Cygwin for Windows"
	@echo "  $(MAKE) win32-lcc         for LCC-Win32 for Windows"
	@echo "  $(MAKE) win32-bcc         for Borland C++ Builder 5.x for Windows"
	@echo "  $(MAKE) win32-msvc        for MS Visual C++ 6.x for Windows"
	@echo "  $(MAKE) win32-ow          for OpenWatcom for Windows"
	@echo "  $(MAKE) win32-pellesc     for Pelles C for Windows"
	@echo "  $(MAKE) win32-clean       to remove any compiled files for Windows"
	@echo "  $(MAKE) cygwin-clean      to remove any compiled files for Cygwin/Windows"
	@echo "  $(MAKE) cygwin-install    to install the GLFW library and header into Cygwin"
	@echo "-----------------------------------------------------------------------------"
	@echo "  $(MAKE) x11               for Unix/X11 (auto-configuring)"
	@echo "  $(MAKE) x11-clean         to remove any compiled files for Unix/X11"
	@echo "  $(MAKE) x11-install       to install the GLFW library and header"
	@echo "-----------------------------------------------------------------------------"
	@echo "  $(MAKE) macosx-gcc        for GCC for Mac OS X (free Apple SDK)"
	@echo "  $(MAKE) macosx-clean      to remove any compiled files for Mac OS X"
	@echo "  $(MAKE) macosx-install    to install the GLFW library and header"
	@echo "-----------------------------------------------------------------------------"
	@echo "  $(MAKE) amigaos-gcc       for AmigaOS for GCC (Geek Gadgets)"
	@echo "  $(MAKE) amigaos-vbcc      for AmigaOS for VBCC"
	@echo "  $(MAKE) amigaos-clean     to remove any compiled files for AmigaOS"
	@echo "-----------------------------------------------------------------------------"
	@echo "  $(MAKE) dos-djgpp         for DOS for DJGPP"
	@echo "  $(MAKE) dos-clean         to remove any compiled files for DOS"
	@echo "-----------------------------------------------------------------------------"


###########################################################################
# List of example programs (used for cleanup)
###########################################################################
EXAMPLES = boing \
           gears \
           keytest \
           listmodes \
           mipmaps \
           mtbench \
           mthello \
           particles \
           pong3d \
           splitview \
           triangle \
           wave


###########################################################################
# Windows
###########################################################################

# Cleanup for Windows
win32-clean:
	@.\\compile.bat CLEAN

# Cleanup for Cygwin (Cygwin Make does not support local BAT-files)
cygwin-clean:
	cd lib/win32 && $(MAKE) -f Makefile.win32.cygwin clean
	cd examples  && $(MAKE) -f Makefile.win32.cygwin clean

cygwin-install: win32-cygwin
	cd lib/win32 && $(MAKE) -f Makefile.win32.cygwin install

# Cleanup for MinGW32 Cross compilation from Unix
cross-mgw-install: cross-mgw 
	cd lib/win32 && $(MAKE) -f Makefile.win32.cross-mgw install 

cross-mgw-clean:
	cd lib/win32 && $(MAKE) -f Makefile.win32.cross-mgw clean 
	cd examples  && $(MAKE) -f Makefile.win32.cross-mgw clean


# Windows, MinGW32
win32-mgw:
	@./compile.bat $(MAKE) mgw

# Cross compilation from unix to win32 
cross-mgw:
	cd lib/win32 && $(MAKE) -f Makefile.win32.cross-mgw
	cd examples  && $(MAKE) -f Makefile.win32.cross-mgw 

# Windows, Cygwin (Cygwin Make does not support local BAT-files)
win32-cygwin:
	cd lib/win32 && $(MAKE) -f Makefile.win32.cygwin
	cd examples  && $(MAKE) -f Makefile.win32.cygwin

# Windows, LCC-Win32
win32-lcc:
	@.\\compile.bat $(MAKE) lcc

# Windows, Borland C++ Builder Compiler 5.x
win32-bcc:
	@.\\compile.bat $(MAKE) bcc

# Windows, Microsoft Visual C++
win32-msvc:
	@.\\compile.bat $(MAKE) msvc

# Windows, OpenWatcom
win32-ow:
	@.\\compile.bat $(MAKE) ow

# Windows, Pelles C
win32-pellesc:
	@.\\compile.bat $(MAKE) pellesc


###########################################################################
# X11 (Unix and Unix-like systems)
###########################################################################

MAKEFILES_X11_IN  = lib/x11/Makefile.x11.in  examples/Makefile.x11.in
MAKEFILES_X11     = lib/x11/Makefile.x11     examples/Makefile.x11

# Cleanup for X11 (must be here due to generated makefile)
x11-clean:
	rm -f $(MAKEFILES_X11)
	rm -f config.log
	rm -f lib/x11/*.o
	rm -f lib/x11/libglfw.a
	rm -f lib/x11/libglfw.so
	rm -f lib/x11/libglfw.pc
	rm -f lib/x11/libglfw.pc.in
	cd examples; rm -f $(EXAMPLES)

# Auto configuration for X11
$(MAKEFILES_X11) : compile.sh $(MAKEFILES_X11_IN)
	@sh ./compile.sh

# X11
x11: $(MAKEFILES_X11)
	cd lib/x11;  $(MAKE) -f Makefile.x11
	cd examples; $(MAKE) -f Makefile.x11

# X11 install
x11-install: x11
	cd lib/x11;  $(MAKE) -f Makefile.x11 install


###########################################################################
# Mac OS X
###########################################################################

# Cleanup for Mac OS X
macosx-clean:
	cd lib/macosx; $(MAKE) -f Makefile.macosx.gcc clean
	cd examples;   $(MAKE) -f Makefile.macosx.gcc clean

# Mac OS X, GCC
macosx-gcc: macosx-gcc-library macosx-gcc-examples

macosx-gcc-library:
	cd lib/macosx; $(MAKE) -f Makefile.macosx.gcc

macosx-gcc-examples:
	cd examples;   $(MAKE) -f Makefile.macosx.gcc

# Mac OS X, GCC install
macosx-install: macosx-gcc-library
	cd lib/macosx; $(MAKE) -f Makefile.macosx.gcc install


###########################################################################
# AmigaOS
###########################################################################

# Cleanup for AmigaOS
amigaos-clean:
	@execute compile.ami CLEAN

# AmigaOS, VBCC
amigaos-vbcc:
	@execute compile.ami $(MAKE) vbcc

# AmigaOS, GCC
amigaos-gcc:
	@execute compile.ami $(MAKE) gcc


###########################################################################
# DOS
###########################################################################

# Cleanup for DOS
dos-clean:
	@rm -f lib/dos/*.o
	@rm -f lib/dos/libglfw.a
	@rm -f examples/*.exe

# DOS, DJGPP (GCC)
dos-djgpp:
	@cd lib\dos;  $(MAKE) -f Makefile.dos.djgpp
	@cd examples; $(MAKE) -f Makefile.dos.djgpp

=== support/d/examples/Makefile ===
##########################################################################
# This makefile builds the example programs using the Digital Mars D
# compiler. You need to copy the .lib files from support\d\lib to your
# Digital Mars C/C++ compiler/linker lib folder (dm\lib) before compiling
# the programs.
##########################################################################

DC     = dmd
IMPORTSDIR = ..\imports
DFLAGS = -O -I$(IMPORTSDIR)
LIBDIR = ..\lib
LIBS = $(LIBDIR)\glfwdll.lib $(LIBDIR)\glu32.lib $(LIBDIR)\opengl32.lib


all: boing.exe keytest.exe gears.exe listmodes.exe mipmaps.exe \
	mthello.exe mtbench.exe particles.exe pong3d.exe splitview.exe \
	triangle.exe wave.exe


clean:
	del *.exe *.obj *.map


boing.exe: boing.d
	$(DC) $(DFLAGS) -of$@ $<d $(LIBS)

keytest.exe: keytest.d
	$(DC) $(DFLAGS) -of$@ $<d $(LIBS)

gears.exe: gears.d
	$(DC) $(DFLAGS) -of$@ $<d $(LIBS)

listmodes.exe: listmodes.d $(IMPORTSDIR)\glfw.d
	$(DC) $(DFLAGS) -of$@ $<d $(IMPORTSDIR)\glfw.d $(LIBS)

mipmaps.exe: mipmaps.d
	$(DC) $(DFLAGS) -of$@ $<d $(LIBS)

mthello.exe: mthello.d
	$(DC) $(DFLAGS) -of$@ $<d $(LIBS)

mtbench.exe: mtbench.d
	$(DC) $(DFLAGS) -of$@ $<d $(LIBS)

particles.exe: particles.d
	$(DC) $(DFLAGS) -of$@ $<d $(LIBS)

pong3d.exe: pong3d.d
	$(DC) $(DFLAGS) -of$@ $<d $(LIBS)

splitview.exe: splitview.d
	$(DC) $(DFLAGS) -of$@ $<d $(LIBS)

triangle.exe: triangle.d
	$(DC) $(DFLAGS) -of$@ $<d $(LIBS)

wave.exe: wave.d
	$(DC) $(DFLAGS) -of$@ $<d $(LIBS)

## glfw 2.7.2

=== Makefile ===
###########################################################################
# GLFW top level Makefile
# $Date: 2007-10-26 14:33:43 $
# $Revision: 1.11 $
#
# This file works as a top level makefile for all supported systems and
# compilers. It builds both the GLFW link library and the supplied example
# programs.
###########################################################################

###########################################################################
# If your make program does not set the $(MAKE) variable correctly,
# uncomment the following line and make sure that the name of the make
# tool is correct.
###########################################################################
# MAKE = make


###########################################################################
# If no system/compiler is specified, display a list of available options
###########################################################################
default:
	@echo "This is the makefile for the GLFW link library and example programs."
	@echo "Type one of the following:"
	@echo "-----------------------------------------------------------------------------"
	@echo "  $(MAKE) win32-mingw       to compile GLFW on MinGW on Windows"
	@echo "  $(MAKE) mingw-clean       to remove any files generated by MinGW on Windows"
	@echo "-----------------------------------------------------------------------------"
	@echo "  $(MAKE) win32-cygwin      to compile GLFW on Windows native on Cygwin/MSYS"
	@echo "  $(MAKE) cygwin-clean      to remove any files generated by Cygwin/MSYS"
	@echo "  $(MAKE) cygwin-install    to install the GLFW library and header"
	@echo "-----------------------------------------------------------------------------"
	@echo "  $(MAKE) win32-lcc         to compile GLFW on LCC-Win32 for Windows"
	@echo "  $(MAKE) win32-ow          to compile GLFW on OpenWatcom for Windows"
	@echo "  $(MAKE) win32-clean       to remove any files generated by above compilers"
	@echo "-----------------------------------------------------------------------------"
	@echo "  $(MAKE) cross-mgw         for Unix-hosted MinGW cross-compile to Windows" 
	@echo "  $(MAKE) cross-mgw-clean   to remove any files generated by MinGW for Unix"
	@echo "  $(MAKE) cross-mgw-install to install the GLFW library and header"
	@echo "-----------------------------------------------------------------------------"
	@echo "  $(MAKE) x11               to compile GLFW for X11 on Unix-like systems"
	@echo "  $(MAKE) x11-clean         to remove any files generated for Unix/X11"
	@echo "  $(MAKE) x11-dist-clean    to also removed the generated build files"
	@echo "  $(MAKE) x11-install       to install the GLFW library and header"
	@echo "  $(MAKE) x11-dist-install  to also install the GLFW shared library"
	@echo "-----------------------------------------------------------------------------"
	@echo "  $(MAKE) cocoa             to compile GLFW with GCC for Cocoa on Mac OS X"
	@echo "  $(MAKE) cocoa-clean       to remove any files generated for Cocoa on Mac OS X"
	@echo "  $(MAKE) cocoa-install     to install the GLFW library and header"
	@echo "-----------------------------------------------------------------------------"
	@echo " There are also Visual Studio 2008 project files available in support/msvc80"
	@echo "-----------------------------------------------------------------------------"


###########################################################################
# Bare MinGW on Windows
###########################################################################

win32-mingw:
	@.\\compile.bat $(MAKE) mingw

mingw-clean:
	@.\\compile.bat CLEAN


###########################################################################
# Cygwin on Windows
###########################################################################

cygwin-install: win32-cygwin
	cd lib/win32 && $(MAKE) -f Makefile.win32.cygwin install

win32-cygwin:
	cd lib/win32 && $(MAKE) -f Makefile.win32.cygwin
	cd examples  && $(MAKE) -f Makefile.win32.cygwin
	cd tests     && $(MAKE) -f Makefile.win32.cygwin

cygwin-clean:
	cd lib/win32 && $(MAKE) -f Makefile.win32.cygwin clean
	cd examples  && $(MAKE) -f Makefile.win32.cygwin clean
	cd tests     && $(MAKE) -f Makefile.win32.cygwin clean


###########################################################################
# Various compilers on Windows
###########################################################################

# Windows, LCC-Win32
win32-lcc:
	@.\\compile.bat $(MAKE) lcc

# Windows, OpenWatcom
win32-ow:
	@.\\compile.bat $(MAKE) ow

# Cleanup for Windows
win32-clean:
	@.\\compile.bat CLEAN


###########################################################################
# MinGW cross-compile to Windows from Unix 
###########################################################################

cross-mgw-install: cross-mgw 
	cd lib/win32 && $(MAKE) -f Makefile.win32.cross-mgw install 

cross-mgw:
	cd lib/win32 && $(MAKE) -f Makefile.win32.cross-mgw
	cd examples  && $(MAKE) -f Makefile.win32.cross-mgw 
	cd tests     && $(MAKE) -f Makefile.win32.cross-mgw

cross-mgw-clean:
	cd lib/win32 && $(MAKE) -f Makefile.win32.cross-mgw clean 
	cd examples  && $(MAKE) -f Makefile.win32.cross-mgw clean
	cd tests     && $(MAKE) -f Makefile.win32.cross-mgw clean


###########################################################################
# X11 on Unix-like systems
###########################################################################

MAKEFILES_X11_IN = lib/x11/Makefile.x11.in examples/Makefile.x11.in \
		   tests/Makefile.x11.in

MAKEFILES_X11 = lib/x11/Makefile.x11 examples/Makefile.x11 tests/Makefile.x11

# Cleanup for X11 (must be here due to generated makefile)
x11-clean: $(MAKEFILES_X11)
	cd lib/x11;  $(MAKE) -f Makefile.x11 clean
	cd examples; $(MAKE) -f Makefile.x11 clean
	cd tests;    $(MAKE) -f Makefile.x11 clean

x11-dist-clean: x11-clean
	rm -f config.log
	rm -f $(MAKEFILES_X11)
	rm -f lib/x11/libglfw.pc.in

# Auto configuration for X11
$(MAKEFILES_X11) : compile.sh $(MAKEFILES_X11_IN)
	@sh ./compile.sh

# X11
x11: $(MAKEFILES_X11)
	cd lib/x11;  $(MAKE) -f Makefile.x11
	cd examples; $(MAKE) -f Makefile.x11
	cd tests;    $(MAKE) -f Makefile.x11

# X11 install
x11-install: x11
	cd lib/x11;  $(MAKE) -f Makefile.x11 install

# X11 dist install
x11-dist-install: x11
	cd lib/x11;  $(MAKE) -f Makefile.x11 dist-install


###########################################################################
# Cocoa on Mac OS X
###########################################################################

cocoa:
	cd lib/cocoa; $(MAKE) -f Makefile.cocoa
	cd examples;  $(MAKE) -f Makefile.cocoa
	cd tests;     $(MAKE) -f Makefile.cocoa

cocoa-clean:
	cd lib/cocoa; $(MAKE) -f Makefile.cocoa clean
	cd examples;  $(MAKE) -f Makefile.cocoa clean
	cd tests;     $(MAKE) -f Makefile.cocoa clean

cocoa-install:
	cd lib/cocoa; $(MAKE) -f Makefile.cocoa install

=== docs/Makefile ===
##########################################################################
# Makefile for the GLFW documentation.
##########################################################################

PDFDOCS = glfwrm.pdf glfwug.pdf
DVIDOCS = glfwrm.dvi glfwug.dvi


##########################################################################
# Build macros
##########################################################################
default: pdf
pdf:     $(PDFDOCS)
dvi:     $(DVIDOCS)


##########################################################################
# Clean macros
##########################################################################
clean:
	rm -f glfwrm.dvi glfwrm.aux glfwrm.log glfwrm.out glfwrm.pdf glfwrm.toc glfwrm.lot
	rm -f glfwug.dvi glfwug.aux glfwug.log glfwug.out glfwug.pdf glfwug.toc

clean-win:
	@.\\cleanup.bat


##########################################################################
# Rules for building the GLFW Reference Manual
##########################################################################

glfwrm.pdf: glfwrm.tex glfwrm.toc glfwrm.lot glfwdoc.sty
	pdflatex glfwrm.tex

glfwrm.dvi: glfwrm.tex glfwrm.toc glfwrm.lot glfwdoc.sty
	latex glfwrm.tex

glfwrm.toc: glfwrm.tex glfwdoc.sty
	latex glfwrm.tex

glfwrm.lot: glfwrm.tex glfwdoc.sty
	latex glfwrm.tex


##########################################################################
# Rules for building the GLFW Users Guide
##########################################################################

glfwug.pdf: glfwug.tex glfwug.toc glfwdoc.sty
	pdflatex glfwug.tex

glfwug.dvi: glfwug.tex glfwug.toc glfwdoc.sty
	latex glfwug.tex

glfwug.toc: glfwug.tex glfwdoc.sty
	latex glfwug.tex

=== support/d/examples/Makefile ===
--- 
+++ 
@@ -12,9 +12,8 @@
 LIBS = $(LIBDIR)\glfwdll.lib $(LIBDIR)\glu32.lib $(LIBDIR)\opengl32.lib
 
 
-all: boing.exe keytest.exe gears.exe listmodes.exe mipmaps.exe \
-	mthello.exe mtbench.exe particles.exe pong3d.exe splitview.exe \
-	triangle.exe wave.exe
+all: boing.exe gears.exe listmodes.exe mipmaps.exe mthello.exe mtbench.exe \
+     particles.exe pong3d.exe splitview.exe triangle.exe wave.exe
 
 
 clean:
@@ -22,9 +21,6 @@
 
 
 boing.exe: boing.d
-	$(DC) $(DFLAGS) -of$@ $<d $(LIBS)
-
-keytest.exe: keytest.d
 	$(DC) $(DFLAGS) -of$@ $<d $(LIBS)
 
 gears.exe: gears.d

=== debian/changelog ===
glfw (2.7.2-1) unstable; urgency=low

  * New upstream release (Closes: #640791).
  * debian/control:
    - Bump Standars-Version to 3.9.2
    - Add myself as Uplpaders.
    - Delete quilt as B-D, not needed anymore.
    - Raise B-D of debhelper to 7.0.50~ to use simple d/rules.
    - Change homepage to http://www.glfw.org/.
    - Change Vcs-* field into git repository.
    - Add libglfw-dev dependency to mesa-common-dev and libglu1-mesa-dev
      (Closes: #594956).
  * debian/rules: Rewitting to use simple rules.
  * Refreshing patches:
    - debian/patches/fix_compilation_on_non_linux.patch.
    - debian/patches/fix-soname.patch.
  * debian/copyright: Rewritting as per dep5 format.

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Tue, 11 Oct 2011 19:18:11 +0700

glfw (2.6-5) unstable; urgency=low

  * Team upload.
  * Broaden Hurd patch to also fix building on GNU/kFreeBSD

 -- Christoph Egger <christoph@debian.org>  Sat, 02 Jul 2011 22:58:59 +0200

glfw (2.6-4) unstable; urgency=low

  * Team upload.
  * Really fix #558904, as only the first quilt patch was applied but not that
    one from the previous upload. (Closes: #558904)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 01 Jul 2011 15:43:16 +0200

glfw (2.6-3) unstable; urgency=low

  * Team upload.
  * Add fix_compilation_on_hurd.diff that hopefully fixes a FTBFS on GNU/Hurd.
    It adds different linker flags in compile.sh. Thanks to Pino Toscano for the
    patch! (Closes: #558904)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Thu, 30 Jun 2011 17:03:03 +0200

glfw (2.6-2) unstable; urgency=low

  * Fix /usr/lib/libglfw.so symlink (Closes: #516988)
  * Fix the pkg-config file (Closes: #516989)
  * Calls dh_makeshlibs before dh_shlibdeps
  * Standard Version bumped to 3.8.0
   - add a README.source
  * clean the .pc directory 
  * use dh_clean to delete the build stamps
  * Debhelper compat 7

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sat, 28 Feb 2009 23:30:16 +0100

glfw (2.6-1) unstable; urgency=low

  * Initial Release. Closes: #476391

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Wed, 16 Apr 2008 12:33:15 +0200

=== debian/control ===
Source: glfw
Section: devel
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Mahyuddin Susanto <udienz@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               libgl1-mesa-dev | libgl-dev,
               libglu1-mesa-dev | libglu-dev,
               libxrandr-dev
Standards-Version: 3.9.2
Vcs-Git: git://anonscm.debian.org/pkg-games/glfw.git
Vcs-Browser: http://anonscm.debian.org/git/pkg-games/glfw.git
Homepage: http://www.glfw.org/

Package: libglfw2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Shared libraries portable framework for OpenGL application development
 GLFW is a free, Open Source, framework for OpenGL application
 development. In short, it is a single library providing a powerful, portable
 API for otherwise operating system specific tasks such as opening an OpenGL
 window, and reading keyboard, time, mouse and joystick input.
 .
 It also provides functions accessing OpenGL extensions, creating and
 synchronizing threads and reading textures from files.
 .
 This package provides the shared libraries.

Package: libglfw-dev
Section: libdevel
Architecture: any
Depends: libglfw2 (= ${binary:Version}),
         libglu1-mesa-dev | libglu-dev,
         mesa-common-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: header files and static libraries portable framework for OpenGL application development
 GLFW is a free, Open Source, framework for OpenGL application
 development. In short, it is a single library providing a powerful, portable
 API for otherwise operating system specific tasks such as opening an OpenGL
 window, and reading keyboard, time, mouse and joystick input.
 .
 It also provides functions accessing OpenGL extensions, creating and
 synchronizing threads and reading textures from files.
 .
 This package provides the header files and static libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
%:
	dh ${@}

override_dh_auto_install:
	PREFIX=/usr sh compile.sh
	dh_auto_install
	
override_dh_installdirs:
	$(MAKE) x11
	sed -e 's,\@PREFIX\@,/usr,' ./lib/x11/libglfw.pc.in > ./lib/x11/libglfw.pc
	make x11-install PREFIX=$(CURDIR)/debian/tmp/usr
	cp lib/x11/libglfw.so debian/tmp/usr/lib/libglfw.so.2.6

override_dh_installdocs:
	dh_installdocs readme.html

verride_dh_clean:
	[ ! -f Makefile ] || $(MAKE) x11-clean
	find -name '*.o' -or -name '*.a' -or -name '*.so' | xargs rm
	find -type f -executable -not -wholename "*debian*" -delete
	rm config.log examples/Makefile.x11 lib/x11/Makefile.x11
	lib/x11/libglfw.pc lib/x11/libglfw.pc.in tests/Makefile.x11
	dh_clean

=== debian/watch ===
version=3

http://sf.net/glfw/glfw-([\d.]+)\.tar.gz

## glfw 2.7.9

=== Makefile ===
###########################################################################
# GLFW top level Makefile
#
# This file works as a top level makefile for all supported systems and
# compilers. It builds both the GLFW link library and the supplied example
# programs.
###########################################################################

###########################################################################
# If your make program does not set the $(MAKE) variable correctly,
# uncomment the following line and make sure that the name of the make
# tool is correct.
###########################################################################
# MAKE = make


###########################################################################
# If no system/compiler is specified, display a list of available options
###########################################################################
default:
	@echo "This is the root makefile for the GLFW library."
	@echo ""
	@echo "Use one of the following commands:"
	@echo "-----------------------------------------------------------------------------"
	@echo "  $(MAKE) win32-mingw        to compile for Windows using MinGW"
	@echo "  $(MAKE) mingw-clean        to remove any files generated for this target"
	@echo "-----------------------------------------------------------------------------"
	@echo "  $(MAKE) win32-msys         to compile for Windows using MinGW and MSYS"
	@echo "  $(MAKE) msys-clean         to remove any files generated for this target"
	@echo "  $(MAKE) msys-install       to install the GLFW header and static library"
	@echo "-----------------------------------------------------------------------------"
	@echo "  $(MAKE) win32-lcc          to compile for Windows using LCC-Win32"
	@echo "  $(MAKE) win32-ow           to compile for Windows using OpenWatcom"
	@echo "  $(MAKE) win32-clean        to remove any files generated for this target"
	@echo "-----------------------------------------------------------------------------"
	@echo "  $(MAKE) cross-mgw          to compile for Windows using MinGW on Unix" 
	@echo "  $(MAKE) cross-mgw-clean    to remove any files generated for this target"
	@echo "  $(MAKE) cross-mgw-install  to install the GLFW library and header"
	@echo "-----------------------------------------------------------------------------"
	@echo "  $(MAKE) x11                to compile for X11 on Unix-like systems"
	@echo "  $(MAKE) x11-clean          to remove any files generated for this target"
	@echo "  $(MAKE) x11-dist-clean     to also removed the configuration files"
	@echo "  $(MAKE) x11-install        to install the GLFW header and static library"
	@echo "  $(MAKE) x11-dist-install   to also install the GLFW shared library"
	@echo "-----------------------------------------------------------------------------"
	@echo "  $(MAKE) cocoa              to compile GLFW for Cocoa on Mac OS X"
	@echo "  $(MAKE) cocoa-clean        to remove any files generated for this target"
	@echo "  $(MAKE) cocoa-install      to install the GLFW header and static library"
	@echo "  $(MAKE) cocoa-dist-install to also install the GLFW dynamic library"
	@echo "-----------------------------------------------------------------------------"
	@echo " There are also Microsoft Visual C++ 2008, 2010 and 2012 project files "
	@echo " available in the support/msvc* and directories."
	@echo "-----------------------------------------------------------------------------"


###########################################################################
# Bare MinGW on Windows
###########################################################################

win32-mingw:
	@cmd /c compile.bat $(MAKE) mingw

mingw-clean:
	@cmd /c compile.bat CLEAN


###########################################################################
# Cygwin on Windows
###########################################################################

CYGWIN=PREFIX=/bin TARGET=i686-pc-mingw32-

cygwin-install: win32-cygwin
	cd lib/win32 && env $(CYGWIN) $(MAKE) -f Makefile.win32.cross-mgw install

win32-cygwin:
	cd lib/win32 && env $(CYGWIN) $(MAKE) -f Makefile.win32.cross-mgw
	cd examples  && env $(CYGWIN) $(MAKE) -f Makefile.win32.cross-mgw
	cd tests     && env $(CYGWIN) $(MAKE) -f Makefile.win32.cross-mgw

cygwin-clean:
	cd lib/win32 && env $(CYGWIN) $(MAKE) -f Makefile.win32.cross-mgw clean
	cd examples  && env $(CYGWIN) $(MAKE) -f Makefile.win32.cross-mgw clean
	cd tests     && env $(CYGWIN) $(MAKE) -f Makefile.win32.cross-mgw clean


###########################################################################
# MSYS on Windows
###########################################################################

msys-install: win32-msys
	cd lib/win32 && $(MAKE) -f Makefile.win32.msys install

win32-msys:
	cd lib/win32 && $(MAKE) -f Makefile.win32.msys
	cd examples  && $(MAKE) -f Makefile.win32.msys
	cd tests     && $(MAKE) -f Makefile.win32.msys

msys-clean:
	cd lib/win32 && $(MAKE) -f Makefile.win32.msys clean
	cd examples  && $(MAKE) -f Makefile.win32.msys clean
	cd tests     && $(MAKE) -f Makefile.win32.msys clean


###########################################################################
# Various compilers on Windows
###########################################################################

# Windows, LCC-Win32
win32-lcc:
	@.\\compile.bat $(MAKE) lcc

# Windows, OpenWatcom
win32-ow:
	@.\\compile.bat $(MAKE) ow

# Cleanup for Windows
win32-clean:
	@.\\compile.bat CLEAN


###########################################################################
# MinGW cross-compile to Windows from Unix 
###########################################################################

cross-mgw-install: cross-mgw 
	cd lib/win32 && $(MAKE) -f Makefile.win32.cross-mgw install 

cross-mgw:
	cd lib/win32 && $(MAKE) -f Makefile.win32.cross-mgw
	cd examples  && $(MAKE) -f Makefile.win32.cross-mgw 
	cd tests     && $(MAKE) -f Makefile.win32.cross-mgw

cross-mgw-clean:
	cd lib/win32 && $(MAKE) -f Makefile.win32.cross-mgw clean 
	cd examples  && $(MAKE) -f Makefile.win32.cross-mgw clean
	cd tests     && $(MAKE) -f Makefile.win32.cross-mgw clean


###########################################################################
# X11 on Unix-like systems
###########################################################################

MAKEFILES_X11_IN = lib/x11/Makefile.x11.in examples/Makefile.x11.in \
		   tests/Makefile.x11.in

MAKEFILES_X11 = lib/x11/Makefile.x11 examples/Makefile.x11 tests/Makefile.x11

# Cleanup for X11 (must be here due to generated makefile)
x11-clean: $(MAKEFILES_X11)
	cd lib/x11  && $(MAKE) -f Makefile.x11 clean
	cd examples && $(MAKE) -f Makefile.x11 clean
	cd tests    && $(MAKE) -f Makefile.x11 clean

x11-dist-clean: x11-clean
	rm -f config.log
	rm -f $(MAKEFILES_X11)
	rm -f lib/x11/libglfw.pc.in

# Auto configuration for X11
$(MAKEFILES_X11) : compile.sh $(MAKEFILES_X11_IN)
	@sh ./compile.sh

# X11
x11: $(MAKEFILES_X11)
	cd lib/x11  && $(MAKE) -f Makefile.x11
	cd examples && $(MAKE) -f Makefile.x11
	cd tests    && $(MAKE) -f Makefile.x11

# X11 install
x11-install: x11
	cd lib/x11 && $(MAKE) -f Makefile.x11 install

# X11 dist install
x11-dist-install: x11
	cd lib/x11 && $(MAKE) -f Makefile.x11 dist-install


###########################################################################
# Cocoa on Mac OS X
###########################################################################

cocoa:
	cd lib/cocoa && $(MAKE) -f Makefile.cocoa
	cd examples  && $(MAKE) -f Makefile.cocoa
	cd tests     && $(MAKE) -f Makefile.cocoa

cocoa-clean:
	cd lib/cocoa && $(MAKE) -f Makefile.cocoa clean
	cd examples  && $(MAKE) -f Makefile.cocoa clean
	cd tests     && $(MAKE) -f Makefile.cocoa clean

cocoa-install: cocoa
	cd lib/cocoa && $(MAKE) -f Makefile.cocoa install

cocoa-dist-install: cocoa
	cd lib/cocoa && $(MAKE) -f Makefile.cocoa dist-install

=== debian/changelog ===
glfw (2.7.9-1) unstable; urgency=medium

  * New upstream version.
    - This is the last version of GLFW 2.
  * Enable multiarch (Closes: #732436, LP: #941319).

  * debian/control:
    - Add myself to the list of uploaders.
    - Bump debhelper compat level to 9.
    - Bump standards version - no changes.
    - Use cgit Vcs-Browser URL.
    - Update package short descriptions (copied from glfw3).
    - Add dependency on dh-exec needed by the multiarch build procedure.
  * debian/copyright:
    - Use correct DEP5 'Format' URL.
  * debian/rules:
    - Handle build flags correctly to fix hardening warnings.
    - Use the correct upstream makefile targets to simplify the build
      procedure.
    - Remove libglfw.so.2.6 (has the wrong filename and is not required).
    - Move the readme.html file to libglfw-dev and install it via
      libglfw-dev.docs instead of the rules file.
  * debian/*.symbols:
    - Add a symbols file for libglfw.so.2
  * debian/watch:
    - Download upstream tarballs from the github repo.

 -- James Cowgill <james410@cowgill.org.uk>  Sat, 11 Jul 2015 00:18:47 +0100

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,23 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Mahyuddin Susanto <udienz@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~),
+Uploaders: Mahyuddin Susanto <udienz@ubuntu.com>,
+           James Cowgill <james410@cowgill.org.uk>
+Build-Depends: debhelper (>= 9), dh-exec,
                libgl1-mesa-dev | libgl-dev,
                libglu1-mesa-dev | libglu-dev,
                libxrandr-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-games/glfw.git
-Vcs-Browser: http://anonscm.debian.org/git/pkg-games/glfw.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/glfw.git
 Homepage: http://www.glfw.org/
 
 Package: libglfw2
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Shared libraries portable framework for OpenGL application development
+Description: portable library for OpenGL, window and input (libraries)
  GLFW is a free, Open Source, framework for OpenGL application
  development. In short, it is a single library providing a powerful, portable
  API for otherwise operating system specific tasks such as opening an OpenGL
@@ -30,12 +32,13 @@
 Package: libglfw-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libglfw2 (= ${binary:Version}),
          libglu1-mesa-dev | libglu-dev,
          mesa-common-dev,
          ${misc:Depends},
          ${shlibs:Depends}
-Description: header files and static libraries portable framework for OpenGL application development
+Description: portable library for OpenGL, window and input (development files)
  GLFW is a free, Open Source, framework for OpenGL application
  development. In short, it is a single library providing a powerful, portable
  API for otherwise operating system specific tasks such as opening an OpenGL

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# The build system does not understand CPPFLAGS or LDFLAGS
export CFLAGS=$(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS)
export LFLAGS=$(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_build:
	$(MAKE) x11
	$(MAKE) -C lib/x11 -f Makefile.x11 PREFIX=/usr libglfw.pc
	sed -i 's,/lib,/lib/$(DEB_HOST_MULTIARCH),' lib/x11/libglfw.pc

override_dh_auto_install:
	$(MAKE) PREFIX=$(CURDIR)/debian/tmp/usr x11-dist-install

override_dh_auto_clean:
	[ ! -f config.log ] || $(MAKE) x11-dist-clean

=== debian/watch ===
version=3

https://github.com/glfw/glfw-legacy/tags .*/v?(\d\S*)\.tar\.gz
